bifrost-base source image build currently broken

Bug #1667308 reported by Mark Goddard on 2017-02-23
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kolla
Undecided
Mark Goddard

Bug Description

The bifrost-base source image is currently failing to build in the master and stable/ocata branches. This is breaking Jenkins checks for the source builds. I have reproduced this locally also.

Example failure (seen on https://review.openstack.org/#/c/436922/1): http://logs.openstack.org/22/436922/1/check/gate-kolla-dsvm-build-centos-source-centos-7/182c940/

Relevant output:

2017-02-22 15:45:48.183529 | INFO:kolla.image.build.bifrost-base:NO MORE HOSTS LEFT *************************************************************
2017-02-22 15:45:48.183597 | INFO:kolla.image.build.bifrost-base: to retry, use: --limit @/bifrost/playbooks/install.retry
2017-02-22 15:45:48.183664 | INFO:kolla.image.build.bifrost-base:PLAY RECAP *********************************************************************
2017-02-22 15:45:48.183749 | INFO:kolla.image.build.bifrost-base:127.0.0.1 : ok=21 changed=9 unreachable=0 failed=1
2017-02-22 15:45:48.183794 | INFO:kolla.image.build.bifrost-base:Removing intermediate container 9bca3c9c0a49
2017-02-22 15:45:48.183831 | ERROR:kolla.image.build.bifrost-base:Error'd with the following message
2017-02-22 15:45:48.183952 | ERROR:kolla.image.build.bifrost-base:The command '/bin/sh -c bash -c './scripts/env-setup.sh && source ./env-vars && ansible-playbook -vvvv -i /bifrost/playbooks/inventory/target /bifrost/playbooks/install.yaml -e @/tmp/build_arg.yml && yum clean all'' returned a non-zero code: 1

<snip>

2017-02-22 15:45:48.333710 | }}}
2017-02-22 15:45:48.333727 |
2017-02-22 15:45:48.333749 | Traceback (most recent call last):
2017-02-22 15:45:48.333775 | File "tests/test_build.py", line 64, in runTest
2017-02-22 15:45:48.333806 | self.assertEqual(failures, 0, "%d failure(s) occurred" % failures)
2017-02-22 15:45:48.333865 | File "/home/jenkins/workspace/gate-kolla-dsvm-build-centos-source-centos-7/.tox/build-centos-source/lib/python2.7/site-packages/testtools/testcase.py", line 411, in assertEqual
2017-02-22 15:45:48.333890 | self.assertThat(observed, matcher, message)
2017-02-22 15:45:48.333951 | File "/home/jenkins/workspace/gate-kolla-dsvm-build-centos-source-centos-7/.tox/build-centos-source/lib/python2.7/site-packages/testtools/testcase.py", line 498, in assertThat
2017-02-22 15:45:48.333997 | raise mismatch_error
2017-02-22 15:45:48.334034 | testtools.matchers._impl.MismatchError: 1 != 0: 1 failure(s) occurred
2017-02-22 15:45:48.389036 | ERROR: InvocationError: '/home/jenkins/workspace/gate-kolla-dsvm-build-centos-source-centos-7/.tox/build-centos-source/bin/testr run test_build.BuildTestCentosSource'
2017-02-22 15:45:48.401252 | ___________________________________ summary ____________________________________
2017-02-22 15:45:48.401371 | ERROR: build-centos-source: commands failed

It appears that this is a problem when installing Bifrost dependencies.

Mark Goddard (mgoddard) on 2017-02-23
description: updated
description: updated
Mark Goddard (mgoddard) wrote :

Looks like there is a fix currently in review: https://review.openstack.org/#/c/437010

Mark Goddard (mgoddard) wrote :

Patch to global requirements: https://review.openstack.org/#/c/436948

Mark Goddard (mgoddard) wrote :

Workaround pushed to Bifrost but this did not make the bifrost-3.0.0 release which is being used by Kolla stable/ocata, so the bug still exists there.

https://review.openstack.org/#/c/437010/

Reviewed: https://review.openstack.org/437974
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=7d31c4d89a9775eb884e0baf4755e9ef71a072c1
Submitter: Jenkins
Branch: stable/ocata

commit 7d31c4d89a9775eb884e0baf4755e9ef71a072c1
Author: Mark Goddard <email address hidden>
Date: Wed Feb 22 21:59:53 2017 +0000

    Workaround for setuptools bug affecting Bifrost

    bifrost-3.0.0 is affected by a setuptools bug preventing it from being
    installed. This change patches Bifrost with the workaround committed
    to the Bifrost master branch in https://review.openstack.org/#/c/437010/.
    If/when that change gets backported to Bifrost stable/ocata and then
    released as 3.0.1, we can remove this workaround.

    Change-Id: I257abd86599304ef1992d10da20130c9b7c25e46
    Closes-Bug: #1667308

tags: added: in-stable-ocata
Mark Goddard (mgoddard) on 2017-02-27
Changed in kolla:
status: New → Fix Committed
Mark Goddard (mgoddard) on 2017-02-27
Changed in kolla:
assignee: nobody → Mark Goddard (mgoddard)
summary: - bifrost-base source image build currently broken in master
+ bifrost-base source image build currently broken

This issue was fixed in the openstack/kolla 4.0.0.0rc2 release candidate.

This issue was fixed in the openstack/bifrost 3.1.0 release.

This issue was fixed in the openstack/bifrost 4.0.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers